package com.ffii.fhsmsc.modules.user.req;

import jakarta.validation.constraints.Pattern;
import jakarta.validation.constraints.Size;

/** @author Alex */
public class NewUserReq extends UpdateUserReq {

	@Size(max = 30)
	@Pattern(regexp = "^[A-Za-z0-9]+$")
	private String username;

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

}
